## pglogical 2.4.1

=== Makefile ===
# contrib/pglogical/Makefile

MODULE_big = pglogical
EXTENSION = pglogical
PGFILEDESC = "pglogical - logical replication"

MODULES = pglogical_output

DATA = pglogical--1.0.0.sql pglogical--1.0.0--1.0.1.sql \
	   pglogical--1.0.1--1.1.0.sql \
	   pglogical--1.1.0--1.1.1.sql pglogical--1.1.1--1.1.2.sql \
	   pglogical--1.1.2--1.2.0.sql \
	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--1.2.2.sql \
	   pglogical--1.2.2--2.0.0.sql \
	   pglogical--2.0.0--2.0.1.sql \
	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
	   pglogical--2.2.0.sql \
	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql \
	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql \
	   pglogical--2.2.2--2.3.0.sql \
	   pglogical--2.2.2--2.3.1.sql \
	   pglogical--2.3.0.sql \
	   pglogical--2.3.0--2.3.1.sql \
	   pglogical--2.3.1.sql \
	   pglogical--2.3.1--2.3.2.sql \
	   pglogical--2.3.2.sql \
	   pglogical--2.3.2--2.3.3.sql \
	   pglogical--2.3.3.sql \
	   pglogical--2.3.3--2.3.4.sql \
	   pglogical--2.3.4.sql \
	   pglogical--2.3.4--2.4.0.sql \
	   pglogical--2.4.0.sql \
	   pglogical--2.4.0--2.4.1.sql \
	   pglogical--2.4.1.sql

OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
	   pglogical.o pglogical_node.o pglogical_relcache.o \
	   pglogical_repset.o pglogical_rpc.o pglogical_functions.o \
	   pglogical_queue.o pglogical_fe.o pglogical_worker.o \
	   pglogical_sync.o pglogical_sequences.o pglogical_executor.o \
	   pglogical_dependency.o pglogical_apply_heap.o pglogical_apply_spi.o \
	   pglogical_output_config.o pglogical_output_plugin.o \
	   pglogical_output_proto.o pglogical_proto_json.o \
	   pglogical_proto_native.o pglogical_monitoring.o

SCRIPTS_built = pglogical_create_subscriber

REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
		  toasted replication_set add_table matview bidirectional primary_key \
		  interfaces foreign_key functions copy triggers parallel row_filter \
		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
		  node_origin_cascade drop

EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
			   compat96/pglogical_compat.o compat10/pglogical_compat.o \
			   compat11/pglogical_compat.o compat11/pglogical_compat.bc \
			   compat12/pglogical_compat.o compat12/pglogical_compat.bc \
			   compat13/pglogical_compat.o compat13/pglogical_compat.bc \
			   compat14/pglogical_compat.o compat14/pglogical_compat.bc \
			   pglogical_create_subscriber.o

# The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
# so it must be escaped. The $ placeholders in awk must be doubled too.
pglogical_version=$(shell awk '/\#define PGLOGICAL_VERSION[ \t]+\".*\"/ { print substr($$3,2,length($$3)-2) }' $(realpath $(srcdir)/pglogical.h) )

# For regression checks
# http://www.postgresql.org/message-id/CAB7nPqTsR5o3g-fBi6jbsVdhfPiLFWQ_0cGU5=94Rv_8W3qvFA@mail.gmail.com
# this makes "make check" give a useful error
abs_top_builddir = .
NO_TEMP_INSTALL = yes

PG_CONFIG ?= pg_config

PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9]//g' | cut -c 1-2)

PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER)) -Werror=implicit-function-declaration
SHLIB_LINK += $(libpq) $(filter -lintl, $(LIBS))

OBJS += $(srcdir)/compat$(PGVER)/pglogical_compat.o

ifeq ($(PGVER),94)
DATA += compat94/pglogical_origin.control compat94/pglogical_origin--1.0.0.sql
REGRESS = preseed infofuncs init preseed_check basic extended \
		  toasted replication_set add_table matview primary_key \
		  interfaces foreign_key functions copy triggers parallel \
		  att_list column_filter apply_delay multiple_upstreams \
		  node_origin_cascade drop

REGRESS += --dbname=regression
SCRIPTS_built += pglogical_dump/pglogical_dump
SCRIPTS += pglogical_dump/pglogical_dump
requires = requires=pglogical_origin
control_path = $(abspath $(abs_top_builddir))/pglogical.control
else
DATA += pglogical_origin.control pglogical_origin--1.0.0.sql
requires =
control_path = $(abspath $(srcdir))/pglogical.control
endif

EXTRA_CLEAN += $(control_path)


PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)


ifeq ($(PGVER),94)
regresscheck: ;
check: ;

$(srcdir)/pglogical_dump/pg_dump.c:
	$(warning pglogical_dump empty, trying to fetch as submodule)
	git submodule init
	git submodule update

pglogical_dump/pglogical_dump: pglogical_dump/pg_dump.c

SUBDIRS += pglogical_dump

else
# We can't do a normal 'make check' because PGXS doesn't support
# creating a temp install. We don't want to use a normal PGXS
# 'installcheck' though, because it's a pain to set up a temp install
# manually, with the config overrides needed.
#
# We compromise by using the install we're building against, installing
# glogical into it, then making a temp instance. This means that 'check'
# affects the target DB install. Nobody with any sense runs 'make check'
# under a user with write permissions to their production PostgreSQL
# install (right?)
# But this is still not ideal.
regresscheck:
	$(MKDIR_P) regression_output
	$(pg_regress_check) \
	    --temp-config ./regress-postgresql.conf \
	    --temp-instance=./tmp_check \
	    --outputdir=./regression_output \
	    --create-role=logical \
	    $(REGRESS)

check: install regresscheck

endif

pglogical_create_subscriber: pglogical_create_subscriber.o pglogical_fe.o
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(LDFLAGS_EX) $(libpq_pgport) $(filter-out -lreadline, $(LIBS)) -o $@$(X)


pglogical.control: pglogical.control.in pglogical.h
	sed 's/__PGLOGICAL_VERSION__/$(pglogical_version)/;s/__REQUIRES__/$(requires)/' $(realpath $(srcdir)/pglogical.control.in) > $(control_path)

all: pglogical.control

GITHASH=$(shell if [ -e .distgitrev ]; then cat .distgitrev; else git rev-parse --short HEAD; fi)

dist-common: clean
	@if test "$(wanttag)" -eq 1 -a "`git name-rev --tags --name-only $(GITHASH)`" = "undefined"; then echo "cannot 'make dist' on untagged tree; tag it or use make git-dist"; exit 1; fi
	@rm -f .distgitrev .distgittag
	@if ! git diff-index --quiet HEAD; then echo >&2 "WARNING: git working tree has uncommitted changes to tracked files which were INCLUDED"; fi
	@if [ -n "`git ls-files --exclude-standard --others`" ]; then echo >&2 "WARNING: git working tree has unstaged files which were IGNORED!"; fi
	@echo $(GITHASH) > .distgitrev
	@git name-rev --tags --name-only `cat .distgitrev` > .distgittag
	@(git ls-tree -r -t --full-tree HEAD --name-only \
	  && cd pglogical_dump\
	  && git ls-tree -r -t --full-tree HEAD --name-only | sed 's/^/pglogical_dump\//'\
	 ) |\
	  tar cjf "${distdir}.tar.bz2" --transform="s|^|${distdir}/|" --no-recursion \
	    -T - .distgitrev .distgittag
	@echo >&2 "Prepared ${distdir}.tar.bz2 for rev=`cat .distgitrev`, tag=`cat .distgittag`"
	@rm -f .distgitrev .distgittag
	@md5sum "${distdir}.tar.bz2" > "${distdir}.tar.bz2.md5"
	@if test -n "$(GPGSIGNKEYS)"; then gpg -q -a -b $(shell for x in $(GPGSIGNKEYS); do echo -u $$x; done) "${distdir}.tar.bz2"; else echo "No GPGSIGNKEYS passed, not signing tarball. Pass space separated keyid list as make var to sign."; fi

dist: distdir=pglogical-$(pglogical_version)
dist: wanttag=1
dist: dist-common

git-dist: distdir=pglogical-$(pglogical_version)_git$(GITHASH)
git-dist: wanttag=0
git-dist: dist-common


# runs TAP tests

# PGXS doesn't support TAP tests yet.
# Copy perl modules in postgresql_srcdir/src/test/perl
# to postgresql_installdir/lib/pgxs/src/test/perl


define prove_check
rm -rf $(CURDIR)/tmp_check/log
cd $(srcdir) && TESTDIR='$(CURDIR)' $(with_temp_install) PGPORT='6$(DEF_PGPORT)' PG_REGRESS='$(top_builddir)/src/test/regress/pg_regress' $(PROVE) --verbose $(PG_PROVE_FLAGS) $(PROVE_FLAGS) $(or $(PROVE_TESTS),t/*.pl)
endef

check_prove:
	$(prove_check)

.PHONY: all check regresscheck pglogical.control

define _pgl_create_recursive_target
.PHONY: $(1)-$(2)-recurse
$(1): $(1)-$(2)-recurse
$(1)-$(2)-recurse: $(if $(filter check, $(3)), temp-install)
	$(MKDIR_P) $(2)
	$$(MAKE) -C $(2) -f $(abspath $(srcdir))/$(2)/Makefile VPATH=$(abspath $(srcdir))/$(2) $(3)
endef

$(foreach target,$(if $1,$1,$(standard_targets)),$(foreach subdir,$(if $2,$2,$(SUBDIRS)),$(eval $(call _pgl_create_recursive_target,$(target),$(subdir),$(if $3,$3,$(target))))))


#
# The following hideous hack works around pg_regress's inability to inject
# prefix commands by using a wrapper 'postgres' that finds the real postgres.
#

define VALGRIND_WRAPPER
#!/bin/bash

set -e -u -x

# May also want --expensive-definedness-checks=yes
#
# Quicker runs without --track-origins=yes --read-var-info=yes
#
# If you don't want leak checking, use --leak-check=no
#
# When just doing leak checking and not looking for detailed memory error reports you don't need:
# 	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f 
#
SUPP=$(POSTGRES_SRC)/src/tools/valgrind.supp

# Pop top two elements from path; the first is added by pg_regress
# and the next is us.
function join_by { local IFS="$$1"; shift; echo "$$*"; }
IFS=':' read -r -a PATHA <<< "$$PATH"
export PATH=$$(join_by ":" "$${PATHA[@]:2}")

NEXT_POSTGRES=$$(which postgres)
if [ "$${NEXT_POSTGRES}" -ef "./valgrind/postgres" ]; then
    echo "ERROR: attempt to execute self"
    exit 1
fi

echo "Running $${NEXT_POSTGRES} under Valgrind"

valgrind --leak-check=full --show-leak-kinds=definite,possible,reachable --gen-suppressions=all \
	--suppressions="$${SUPP}" --suppressions=`pwd`/pglogical.supp --verbose \
	--time-stamp=yes  --log-file=valgrind-$$$$-%p.log --trace-children=yes \
	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f \
	--num-callers=30 \
	postgres "$$@"

endef

export VALGRIND_WRAPPER

valgrind-check:
	$(if $(POSTGRES_SRC),,$(error set Make variable POSTGRES_SRC to postgres source dir to find valgrind.supp))
	$(if $(wildcard $(POSTGRES_SRC)/src/tools/valgrind.supp),,$(error missing valgrind suppressions at $(POSTGRES_SRC)/src/tools/valgrind.supp))
	mkdir -p valgrind/
	echo "$$VALGRIND_WRAPPER" > valgrind/postgres
	chmod a+x valgrind/postgres
	PATH=./valgrind/:$(PATH) $(MAKE) check
	rm valgrind/postgres

=== debian/changelog ===
pglogical (2.4.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 06 Jan 2022 09:29:34 +0100

pglogical (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Jan 2022 09:29:34 +0100

pglogical (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Test-depend on libtap-parser-sourcehandler-pgtap-perl.
  * Disable more tests that tend to fail with timeouts.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 13:47:09 +0100

pglogical (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/cve-2021-3515.patch: Removed, no longer needed.
  * debian/patches/17a83481661e531669d6904920a9109424fa3339.patch: Likewise.
  * debian/patches/disable-add-table-test: Refreshed.
  * debian/patches/test_increase_timeouts.patch: Removed no longer needed
    add_table hunks.
  * debian/control, debian/tests/control: Updated for v14.
  * debian/control.in, debian/control (Build-Depends): Added liblz4-dev.
  * debian/tests/control: Removed postgresql-PGVERSION-pgtap.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 22 Oct 2021 17:45:50 +0200

pglogical (2.3.3-4) unstable; urgency=medium

  * Team upload.
  * Adjust to PostgreSQL 13.4 snapshot handling fixes (PG commit ef9480509).
  * debian/watch: Fix github URL.
  * Remove regression_output/ on clean.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Aug 2021 13:00:20 +0200

=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 10),
 postgresql-server-dev-all (>= 217~),
 libkrb5-dev,
 liblz4-dev,
 libreadline-dev,
 libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/

Package: postgresql-9.6-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-10-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-11-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-12-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-13-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-14-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

## pglogical 2.4.2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	   pglogical--2.3.4--2.4.0.sql \
 	   pglogical--2.4.0.sql \
 	   pglogical--2.4.0--2.4.1.sql \
-	   pglogical--2.4.1.sql
+	   pglogical--2.4.1.sql \
+	   pglogical--2.4.1--2.4.2.sql \
+	   pglogical--2.4.2.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \

=== debian/changelog ===
pglogical (2.4.2-3) unstable; urgency=medium

  * debian/control.in, debian/control (Uploaders): Updated.

 -- Michael Banck <mnencia@debian.org>  Fri, 17 Feb 2023 14:04:05 +0100

pglogical (2.4.2-2) unstable; urgency=medium

  * debian/tests/prove: Exit cleanly when test is skipped.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Oct 2022 15:13:35 +0100

pglogical (2.4.2-1) unstable; urgency=medium

  * Team upload for PostgreSQL 15.
  * Skip prove test on PG 15, test not compatible yet.
  * Update watch file to look at github releases.
  * B-D on libzstd-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 13:06:24 +0200

=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 krb5-multidev,
 libedit-dev,
 libkrb5-dev,
 liblz4-dev,
 libpam0g-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libxml2-dev,
 libxslt1-dev,
 libzstd-dev,
 postgresql-server-dev-all (>= 217~),
 zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/

Package: postgresql-15-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, make
Tests: prove
Restrictions: allow-stderr

Depends: @, make
Tests: regresscheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d+)_(\d+)_(\d+)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/tags .*/REL(.*).tar.gz

## pglogical 2.4.3

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,9 @@
 	   pglogical--2.4.0--2.4.1.sql \
 	   pglogical--2.4.1.sql \
 	   pglogical--2.4.1--2.4.2.sql \
-	   pglogical--2.4.2.sql
+	   pglogical--2.4.2.sql \
+	   pglogical--2.4.2--2.4.3.sql \
+	   pglogical--2.4.3.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -60,6 +62,7 @@
 			   compat12/pglogical_compat.o compat12/pglogical_compat.bc \
 			   compat13/pglogical_compat.o compat13/pglogical_compat.bc \
 			   compat14/pglogical_compat.o compat14/pglogical_compat.bc \
+			   compat15/pglogical_compat.o compat15/pglogical_compat.bc \
 			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043

=== debian/changelog ===
pglogical (2.4.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2031532). Remaining changes:
    - d/p/test_increase_timeouts.patch: increase timeout for flaky
      row_filter test.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 16 Aug 2023 10:12:07 -0300

pglogical (2.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Aug 2023 11:07:58 +0200

pglogical (2.4.2-2ubuntu1) lunar; urgency=medium

  * d/p/test_increase_timeouts.patch: increase timeout for flaky
    row_filter test.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 13 Dec 2022 10:32:25 -0300

pglogical (2.4.2-2build1) lunar; urgency=medium

  * No-change rebuild to attempt migration.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sat, 10 Dec 2022 14:49:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## pglogical 2.4.4

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,9 @@
 	   pglogical--2.4.1--2.4.2.sql \
 	   pglogical--2.4.2.sql \
 	   pglogical--2.4.2--2.4.3.sql \
-	   pglogical--2.4.3.sql
+	   pglogical--2.4.3.sql \
+	   pglogical--2.4.3--2.4.4.sql \
+	   pglogical--2.4.4.sql \
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -63,6 +65,7 @@
 			   compat13/pglogical_compat.o compat13/pglogical_compat.bc \
 			   compat14/pglogical_compat.o compat14/pglogical_compat.bc \
 			   compat15/pglogical_compat.o compat15/pglogical_compat.bc \
+			   compat16/pglogical_compat.o compat16/pglogical_compat.bc \
 			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043

=== debian/changelog ===
pglogical (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 18:09:54 +0200

pglogical (2.4.3-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.
  * Cherry pick patches from upstream, and fix them to support PG16.
  * Use ${postgresql:Depends}.
  * Mark autopkgtests as flaky, the package mostly works anyway.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:32:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,15 +18,15 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-15-pglogical
+Package: postgresql-16-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, make
Tests: prove
Restrictions: allow-stderr, flaky

Depends: @, make
Tests: regresscheck
Restrictions: allow-stderr, flaky

## pglogical 2.4.5

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,8 @@
 	   pglogical--2.4.3.sql \
 	   pglogical--2.4.3--2.4.4.sql \
 	   pglogical--2.4.4.sql \
+	   pglogical--2.4.4--2.4.5.sql \
+	   pglogical--2.4.5.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -54,7 +56,7 @@
 
 REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
 		  toasted replication_set add_table matview bidirectional primary_key \
-		  interfaces foreign_key functions copy triggers parallel row_filter \
+		  interfaces foreign_key functions copy sequence triggers parallel row_filter \
 		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
 		  node_origin_cascade drop
 
@@ -66,6 +68,7 @@
 			   compat14/pglogical_compat.o compat14/pglogical_compat.bc \
 			   compat15/pglogical_compat.o compat15/pglogical_compat.bc \
 			   compat16/pglogical_compat.o compat16/pglogical_compat.bc \
+			   compat17/pglogical_compat.o compat17/pglogical_compat.bc \
 			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
@@ -140,7 +143,7 @@
 # But this is still not ideal.
 regresscheck:
 	$(MKDIR_P) regression_output
-	$(pg_regress_check) \
+	$(pg_regress_installcheck) \
 	    --temp-config ./regress-postgresql.conf \
 	    --temp-instance=./tmp_check \
 	    --outputdir=./regression_output \

=== debian/changelog ===
pglogical (2.4.5-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:16:07 +0200

pglogical (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 15:37:22 +0200

pglogical (2.4.4-3) unstable; urgency=medium

  * Disable TAP tests on 17 (not ported to PostgreSQL::Utils yet).
  * Drop 9.4 test code.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 12:37:29 +0200

pglogical (2.4.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Grab pending upstream patches to support PG 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 13:28:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  krb5-multidev,
  libedit-dev,
@@ -18,13 +19,13 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-16-pglogical
+Package: postgresql-17-pglogical
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Suggests:

## pglogical 2.4.6

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,9 @@
 	   pglogical--2.4.3--2.4.4.sql \
 	   pglogical--2.4.4.sql \
 	   pglogical--2.4.4--2.4.5.sql \
-	   pglogical--2.4.5.sql
+	   pglogical--2.4.5.sql \
+	   pglogical--2.4.5--2.4.6.sql \
+	   pglogical--2.4.6.sql \
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -69,6 +71,7 @@
 			   compat15/pglogical_compat.o compat15/pglogical_compat.bc \
 			   compat16/pglogical_compat.o compat16/pglogical_compat.bc \
 			   compat17/pglogical_compat.o compat17/pglogical_compat.bc \
+			   compat18/pglogical_compat.o compat18/pglogical_compat.bc \
 			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043

=== debian/changelog ===
pglogical (2.4.6-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version 2.4.6.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.
  * debian/watch: update to version 4

  [ Christoph Berg ]
  * Team upload for PostgreSQL 18. (Closes: #1117301)

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 13:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Marco Nenciarini <mnencia@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  krb5-multidev,
  libedit-dev,
  libkrb5-dev,
  liblz4-dev,
+ libnuma-dev,
  libpam0g-dev,
  libreadline-dev,
  libselinux1-dev [linux-any],
@@ -19,15 +22,19 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-17-pglogical
+Package: postgresql-18-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest

override_dh_auto_clean:
	$(MAKE) clean
	+pg_buildext clean build-%v
	rm -rf regression.diffs regression.out results tmp_check log
	rm -f pglogical_create_subscriber_postgres.log

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Depends:
 libipc-run-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-common-dev,
 @,
Tests:
 prove,
Restrictions:
 allow-stderr,
 flaky,

Depends:
 postgresql-common-dev,
 @,
Tests:
 regresscheck,
Restrictions:
 allow-stderr,
 flaky,

=== debian/watch ===
version=4
opts="uversionmangle=s/^(\d+)_(\d+)_(\d+)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/tags .*/REL(.*).tar.gz
